library buttonv1;

import 'package:flutter/material.dart';

class ButtonV1 extends StatelessWidget {
  final String text;
  final Color color;
  ButtonV1(this.text, this.color);
  @override
  Widget build(BuildContext context) {
    return Container(
      child: FlatButton(
        color: this.color,
        textColor: Colors.white,
        disabledColor: Colors.grey,
        disabledTextColor: Colors.black,
        padding: EdgeInsets.all(8.0),
        splashColor: Colors.blueAccent,
        onPressed: () {
          /*...*/
        },
        child: Text(
          this.text,
          style: TextStyle(fontSize: 20.0),
        ),
      ),
    );
  }
}
